return love.graphics.newShader[[
#ifdef VERTEX
  uniform mat4 view;
  uniform mat4 proj;
  vec4 position( mat4 _, vec4 pos ){
    return proj*view*pos;
  }
#endif
#ifdef PIXEL
  vec4 effect( vec4 color, Image _, vec2 __, vec2 ___) {
    return color;
  }
#endif
]]